Cross Chain

Available currencies

get

Returns a list of available currencies for Cross-Chain exchanges.

Authorizations
x-api-keystringRequired
Responses
chevron-right
200

List of available currencies for cross-chain exchanges

application/json
tickerstringOptional

Currency ticker (e.g., btc)

networkstringOptional

Network ticker (e.g., btc, eth)

symbolstringOptional

Symbol representing the currency

namestringOptional

Full name of the currency

hasMemobooleanOptional

Indicates whether this currency supports memo/extraId

requireMemobooleanOptional

Indicates whether memo/extraId is required to complete transactions

isFiatbooleanOptional

Shows if the currency is fiat (e.g., USD)

isStablebooleanOptional

Indicates if the currency is a stablecoin

supportsFixedRatebooleanOptional

True if fixed-rate exchanges are supported

enabledbooleanOptional

Indicates if currency is currently available for use

imagestringOptional

URL to the currency icon

regexAddressstringOptional

Regular expression pattern for validating recipient addresses

addressExplorerstringOptional

Block explorer URL template for addresses (use {} as placeholder)

txExplorerstringOptional

Block explorer URL template for transactions (use {} as placeholder)

confirmationsintegerOptional

Number of required confirmations for incoming transactions

rankintegerOptional

Currency ranking priority (use for sorting in UI)

get
/v1/cross-chain/available-currencies

Exchange rate

get

Returns an exchange rate quote for the specified currencies and networks.

Authorizations
x-api-keystringRequired
Query parameters
fromCurrencystringRequired

Source currency ticker

fromNetworkstringRequired

Source network

toCurrencystringRequired

Target currency ticker

toNetworkstringRequired

Target network

amountstringOptional

Amount to exchange (default: 1)

flowstring · enumOptional

Exchange flow type (standard, fixed-rate)

Possible values:
Responses
chevron-right
200

Successful response with exchange rate data

application/json
minnumberOptional

Minimum allowed amount for the exchange

maxnumber · nullableOptional

Maximum allowed amount for the exchange (null means no limit)

fromAmountnumberOptional

Requested amount to exchange

toAmountnumberOptional

Estimated amount to receive

fromCurrencystringOptional

Ticker of the source currency

toCurrencystringOptional

Ticker of the target currency

fromNetworkstringOptional

Source network

toNetworkstringOptional

Target network

amountFromUsdstringOptional

Amount in USD equivalent (source)

amountToUsdstringOptional

Amount in USD equivalent (target)

get
/v1/cross-chain/rate

Private exchange rate

get

Returns a private exchange rate for the specified currencies and networks.

Authorizations
x-api-keystringRequired
Query parameters
fromCurrencystringRequired

Source currency ticker

fromNetworkstringRequired

Source network

toCurrencystringRequired

Target currency ticker

toNetworkstringRequired

Target network

amountstringOptional

Amount to exchange (default: 1)

privateTypestringRequired
Responses
chevron-right
200

Successful response with private exchange rate data

application/json
minnumberOptional

Minimum allowed amount for the exchange

maxnumber · nullableOptional

Maximum allowed amount for the exchange (null means no limit)

fromAmountnumberOptional

Requested amount to exchange

toAmountnumberOptional

Estimated amount to receive

fromCurrencystringOptional

Ticker of the source currency

toCurrencystringOptional

Ticker of the target currency

fromNetworkstringOptional

Source network

toNetworkstringOptional

Target network

amountFromUsdstringOptional

Amount in USD equivalent (source)

amountToUsdstringOptional

Amount in USD equivalent (target)

get
/v1/cross-chain/rate/private

Exchange status

get

Returns the status of any type of exchange by its ID.

Authorizations
x-api-keystringRequired
Query parameters
idstringRequired

Exchange ID

Responses
chevron-right
200

Exchange status information

application/json
typestring · enumOptional

Type of the exchange

Possible values:
exchangeone ofOptional
or
get
/v1/cross-chain/exchange/status

List of exchanges

get

Returns all exchanges for partner from the last 24 hours with optional filters.

Authorizations
x-api-keystringRequired
Query parameters
statusstring · enumOptional

Filter by exchange status

Possible values:
fromCurrencystringOptional

Filter by source currency ticker

fromNetworkstringOptional

Filter by source network

toCurrencystringOptional

Filter by target currency ticker

toNetworkstringOptional

Filter by target network

exchangeTypestring · enumOptional

Filter by exchange type

Possible values:
Responses
chevron-right
200

List of exchanges

application/json
totalintegerOptional

Total number of exchanges

get
/v1/cross-chain/exchange/list

Standard exchange status

get

Returns the status of a standard exchange by its ID.

Authorizations
x-api-keystringRequired
Query parameters
idstringRequired

Exchange ID

Responses
chevron-right
200

Standard exchange status

application/json
idstringOptional

Unique exchange identifier

createdstring · date-timeOptional

Exchange creation timestamp

exchangeTypestring · enumOptional

Type of exchange

Possible values:
statusstring · enumOptional

Current exchange status

Possible values:
get
/v1/cross-chain/exchange/status/standard

Private exchange status

get

Returns the status of a private exchange by its ID.

Authorizations
x-api-keystringRequired
Query parameters
idstringRequired

Exchange ID

Responses
chevron-right
200

Private exchange status

application/json
idstringOptional

Unique exchange identifier

createdstring · date-timeOptional

Exchange creation timestamp

exchangeTypestring · enumOptional

Type of exchange

Possible values:
statusstring · enumOptional

Current exchange status

Possible values:
get
/v1/cross-chain/exchange/status/private

Create standard exchange

post

Creates a standard exchange.

Authorizations
x-api-keystringRequired
Body
fromCurrencystringRequired

Source currency ticker

toCurrencystringRequired

Target currency ticker

fromNetworkstringRequired

Source network

toNetworkstringRequired

Target network

fromAmountstringRequired

Amount to exchange

addressstringOptional

Recipient address

memostringOptional

Memo for recipient (if required)

refundAddressstringOptional

Refund address

refundMemostringOptional

Refund memo

flowstring · enumRequired

Exchange flow type

Possible values:
rateIdstringOptional

RateId is needed so that you can freeze the estimate from the /rate method for fixed-rate exchange. It is valid for 1 minute from the moment it is received.

Responses
post
/v1/cross-chain/exchange

Create private exchange

post

Creates a private exchange order.

Authorizations
x-api-keystringRequired
Body
fromCurrencystringRequired

Source currency ticker

toCurrencystringRequired

Target currency ticker

fromNetworkstringRequired

Source network

toNetworkstringRequired

Target network

fromAmountstringRequired

Amount to exchange

memostringOptional

Extra ID for recipient (if required)

privateTypestringOptional

There are two types of private exchanges: 'privatePlus' - an intermediary network for XMR only; 'efficient' - the fastest and cheapest intermediary networks.

addressstringOptional

Recipient address

refundAddressstringOptional

Refund address

refundMemostringOptional

Extra ID for refund address (if required)

Responses
post
/v1/cross-chain/exchange/private

Rates

get

Returns exchange rates in XML format. This is a publicly accessible endpoint that does not require authentication.

Responses
chevron-right
200

Exchange rates in XML format

No content

get
/v1/rates
200

Exchange rates in XML format

No content

Last updated